import java.util.*;
import java.util.regex.*;


class ii {

	static int monthDays [] = {31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31};
	static int months [] = {8,4,0,96,92,88,84,80,76,72,68,64,60,56,52,48,44,40,36,32,28,24,20};

	public static boolean checkPrestupny(int y, int m, int d){
		if(Arrays.binarySearch(months, y) != -1){
			return true;		
		}
		return false;
		
	}

	public static void main(String [] args){
		Scanner sc = new Scanner(System.in);
		String line;
		int year, month, day;
		long date;
		boolean sex = true;
		Arrays.sort(months);	
	
		while(true){
			line = sc.nextLine();
			if(line.equals("end")) break;
			if(!(Pattern.matches("^[0-9]{6}/[0-9]{3,4}$", line))) {
				System.out.println("invalid");
				continue;
			}
			year = Integer.parseInt(line.substring(0,2));
			if(!((year <= 99 && year >=20) || (year >= 0 && year <= 9)))  {
				System.out.println("invalid");
				continue;
			}
			
			month = Integer.parseInt(line.substring(2,4));
			if(month > 50 && month < 63) {
				month = month-50;
				sex = false;
			} //false zena
			else{
				sex = true;
			}
			if(!(month >= 1 && month <= 12)) {
				System.out.println("invalid");
				continue;
			}
			
			day = Integer.parseInt(line.substring(4,6));

			if(checkPrestupny(year, month, day)) {
				int tmp;
				if(month == 2) tmp = 29;
				else tmp = monthDays[month-1];
				
				if(!(day >= 1 && day <= tmp)){
					System.out.println("invalid");
					continue;
				}
			}
			else{
				if(!(day >= 1 && day <= monthDays[month-1])){
					System.out.println("invalid");
					continue;
				}
			}
			
			date = Long.parseLong(line.replace("/", "").trim());

			if(date%11 != 0) {
				System.out.println("invalid");
				continue;
			}
			
			if(sex) {	
				System.out.println("boy");		
			}
			else{
				System.out.println("girl");
			}
			
			
		}

	}	
	
}
